# PamhyrWindow.py -- Pamhyr
# Copyright (C) 2023-2026  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

import os
import logging

from PyQt5.QtWidgets import QDoubleSpinBox


class FlexibleDoubleSpinBox(QDoubleSpinBox):
    def keyPressEvent(self, event):
        if event.text() == ".":
            # Simule une virgule à la place du point
            event = type(event)(
                event.type(),
                event.key(),
                event.modifiers(),
                ","
            )

        super().keyPressEvent(event)
